let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/74nqyf0fxhph9gh3dbb4cj4q4wrr2rb6-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/3dfvyy1w0mhbi4lss5vypzfag89a3p6z-coreutils-8.31/bin";
  bzip2 = "/nix/store/jrgnwpmwmcgxgl0g2av73xm6xlljbr83-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/g3accwv5cjk9x09rki9z990xqpd58f81-gzip-1.10/bin/gzip";
  xz = "/nix/store/9qvyqx6vnz8l404kw8yz09viw51j6vdx-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/7nv2fiw3gq76ggb3l0b3jlxn4k0b5nlv-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/3dfvyy1w0mhbi4lss5vypzfag89a3p6z-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/3afgasdpv6s33gyrysg2xi9vjq89mspp-nix-2.3.12/bin";
  nixPrefix = "/nix/store/3afgasdpv6s33gyrysg2xi9vjq89mspp-nix-2.3.12";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/3afgasdpv6s33gyrysg2xi9vjq89mspp-nix-2.3.12/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
